Package Base Details: libindicate

Git Clone URL: https://aur.archlinux.org/libindicate.git (read-only)
Submitter: max.bra
Maintainer: gerito
Last Packager: gerito
Votes: 71
Popularity: 0.000000
First Submitted: 2009-11-16 20:50
Last Updated: 2015-11-14 03:45

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

Anonymous comment on 2010-11-15 17:59

Mine won't compile even after --enable-introspection=no.

./IndicatorMonoExample.cs(28,75): error CS0234: The type or namespace name `ServerDisplayArgs' does not exist in the namespace `Indicate'. Are you missing an assembly reference?

x86

Anonymous comment on 2010-11-12 18:34

Just edit the PKGBUILD in this line:

./configure --prefix=/usr --disable-static --disable-instrospection || return 1

replace --disable-instrospection with --enable-introspection=no it will look like

./configure --prefix=/usr --disable-static --enable-introspection=no || return 1

And it will compile just fine, works on arch x86_64

Please update the pkgbuild

jens commented on 2010-11-05 13:01

I get the following error on x86_64

http://archlinux.pastebin.com/kk5qQpty

Anonymous comment on 2010-10-29 10:47

so there's not solution for building 0.4.4?

Anonymous comment on 2010-09-18 20:13

Here a PKGBUILD for the latets version 0.4.4 (today 09/18/10)

pkgname=libindicate
pkgbranch=0.4
pkgver=0.4.4
pkgrel=1
pkgdesc="A small library for applications to raise "flags" on DBus for other c$
arch=('i686' 'x86_64')
url="https://launchpad.net/libindicate"
license=('GPL')
depends=('glib2' 'gtk2' 'dbus-glib' 'libxml2' 'libdbusmenu')
makedepends=('mono' 'gtk-sharp-2>=2.12' 'python>=2.6')
source=(http://launchpad.net/${pkgname}/${pkgbranch}/${pkgver}/+download/${pkgname}-${pkgver}.tar.gz)
md5sums=('6d42a710ddd5466263d244e05a273c45')

build() {
cd "$srcdir"/$pkgname-$pkgver
./configure --prefix=/usr --disable-static || return 1
make || return 1
make DESTDIR="$pkgdir" install || return 1
}

Unfortunately the build is not successfully completed, for more details see here: https://bugs.launchpad.net/libindicate/+bug/594992

Anonymous comment on 2010-06-03 09:59

PKGBUILD to properly build this, complementing the one I pasted for libdbusmenu:
http://aur.pastebin.com/tYd5N18H

Anonymous comment on 2010-06-03 09:46

It also could be the fact that versions higher than 0.3.6 will fix the renaming problem... (the filename installed by recent versions of libdbusmenu is actually Dbusmenu-Glib-0.2.gir, notice the dash)

Anonymous comment on 2010-06-03 08:54

gobeav4rs297,

If you installed libdbusmenu from the AUR, then the problem is likely this line:
rm -R "$pkgdir"/usr/share

Anonymous comment on 2010-05-31 23:34

gobe, please read http://aur.archlinux.org/packages.php?ID=32050
Good luck!

Anonymous comment on 2010-05-28 06:40

I'm getting this compile error:

Couldn't find include 'DbusmenuGlib-0.2.gir' (search path: ['.', '/usr/share/gir-1.0', ...

I don't understand why, i have compiled and installed libdbusmenu on my system